Server

Server

Webhook endpoint for AWX callbacks

post

Webhook endpoint for AWX job status notifications.

Authorizations
X-API-KeystringRequired
Responses
chevron-right
200

Successful operation

No content

post
/api/v1/server/awx/webhook

No content

Baseline a specific server

post

Bring a server back to baseline by its inventory ID.

Authorizations
X-API-KeystringRequired
Body
inventoryIdintegerOptionalExample: 12345
hostnamestringOptionalExample: server12345.dedi.i3d.netPattern: /^([a-z0-9]+(-[a-z0-9]+)*\.)+[a-z]{2,}$/i
Responses
chevron-right
200

Back to baseline of server succesfully started.

application/json
post
/api/v1/server/baseline

List delivered servers

get

Retrieve an aggregated list of servers that are currently delivered to clients.

Authorizations
X-API-KeystringRequired
Responses
chevron-right
200

Successful operation

application/json
get
/api/v1/server/delivered

Delete a specific server - use only for internal reasons, to force a release

delete

Delete a server by its UUID.

Authorizations
X-API-KeystringRequired
Path parameters
serverUuidstring · uuidRequired

UUID of the server

Example: 550e8400-e29b-41d4-a716-446655440000
Query parameters
forceReleaseintegerOptional

Try to (re-)release a server

Example: 1
Responses
chevron-right
200

Release of server succesful

application/json
delete
/api/v1/server/{serverUuid}

List servers

get

Retrieve a list of servers with optional filters and pagination.

Authorizations
X-API-KeystringRequired
Query parameters
pageintegerOptional

Page number for pagination

Example: 1
perPageintegerOptional

Number of items per page

Example: 15
filterstringOptional

Filters for server listing * (e.g., client_id, metal_server_uuid, created_at, updated_at, delivered_at, released_at)

Example: client_id=42&created_at=2024-01-01
Responses
chevron-right
200

Successful operation

application/json
get
/api/v1/server

Create bare metal servers

post

create bare metal server

Authorizations
X-API-KeystringRequired
Body
metal_server_uuidstring · uuidOptional

UUID of the metal server

Example: 550e8400-e29b-41d4-a716-446655440000
inventory_idinteger · nullableOptional

ID of the inventory server

Example: 5678
created_atstring · date-timeOptionalExample: 2024-01-01 12:00:00
updated_atstring · date-time · nullableOptionalExample: 2024-01-01 12:00:00
contract_idstring · nullableOptionalExample: MY-CONTRACT-ID
namestringOptional

Name of the server

Example: my-server-name.example.com
statusstringOptional

Status of the server

Example: delivered
status_messagestring · nullableOptional

Normally empty, but can contain additional information; usually for failures

Example: No server discovered.
tagsstring[]Optional

Tags assigned to the server

Example: env:prod
delivered_atstring · date-time · nullableOptionalExample: 2024-01-01 12:00:00
released_atstring · date-time · nullableOptionalExample: 2024-01-01 12:00:00
request_idintegerOptionalExample: 1234
client_server_requestobject · nullableOptional

The raw request object

Responses
chevron-right
200

Successful operation

application/json
post
/api/v1/server

Last updated

Was this helpful?